%define upstream_name    OpenGL-List
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Massively optimise your Perl OpenGL program with display lists
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/OpenGL/%{upstream_name}-%{upstream_version}.tar.gz
# fix rt#65021
Patch0:     perl-OpenGL-List-0.01-fix_test_coredump.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: x11-server-xvfb

BuildArch: noarch

%description
The glpLine function is used to define a block of Perl OpenGL
instructions that should be immediately compiled into a display list.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -b .test_core

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

#check
# tests require a x display
#make test

%install
%makeinstall_std

%files
%doc README LICENSE META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 513742
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 371137
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 09 2012 jquelin <jquelin> 0.10.0-1.mga2
+ Revision: 193939
- fix tests
- imported package perl-OpenGL-List


* Mon Jan 09 2012 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
